# jshint is needed for tests but is not packaged due to license issues
%global enable_tests 0
%global srcname grunt-contrib-requirejs

Name:           nodejs-%{srcname}
Version:        0.4.4
Release:        2%{?dist}
Summary:        Optimize RequireJS projects using r.js
License:        MIT
URL:            https://github.com/gruntjs/grunt-contrib-requirejs
Source0:        https://github.com/gruntjs/grunt-contrib-requirejs/archive/v%{version}/grunt-contrib-requirejs-%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(requirejs)
BuildRequires:  npm(grunt-contrib-jshint)
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(grunt-contrib-clean)
BuildRequires:  npm(grunt-contrib-internal)
%endif


%description
%{summary}.


%prep
%setup -q -n %{srcname}-%{version}
rm -rf node_modules/


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json tasks/ %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
grunt test
%endif


%files
%doc AUTHORS CHANGELOG CONTRIBUTING.md README.md docs/
%license LICENSE-MIT
%{nodejs_sitelib}/%{srcname}


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Dec 31 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.4.4-1
- Initial package
